package com.jxdinfo.hussar.core.config;

package .tmp;

import com.jxdinfo.hussar.core.config.HussarConfig;
import java.util.Collection;
import java.util.HashSet;
import java.util.List;
import javax.servlet.HttpConstraintElement;
import javax.servlet.HttpMethodConstraintElement;
import javax.servlet.Servlet;
import javax.servlet.ServletSecurityElement;
import javax.servlet.annotation.ServletSecurity;
import org.eclipse.jetty.security.ConstraintSecurityHandler;
import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.server.handler.HandlerWrapper;
import org.eclipse.jetty.util.Loader;
import org.eclipse.jetty.webapp.WebAppContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.boot.web.embedded.jetty.JettyServerCustomizer;
import org.springframework.boot.web.embedded.jetty.JettyServletWebServerFactory;
import org.springframework.boot.web.server.WebServerFactoryCustomizer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.HttpMethod;

@Configuration(proxyBeanMethods = false)
@ConditionalOnWebApplication(type = ConditionalOnWebApplication.Type.SERVLET)
@ConditionalOnClass({Servlet.class, Server.class, Loader.class, WebAppContext.class})
public class JettyServletWebServerFactoryConfig {
  @Autowired
  private HussarConfig hussarConfig;
  
  @Bean
  @ConditionalOnClass({Servlet.class, Server.class, Loader.class, WebAppContext.class})
  WebServerFactoryCustomizer<JettyServletWebServerFactory> acoolyWebServerFactoryCustomizer() {
    return paramJettyServletWebServerFactory -> paramJettyServletWebServerFactory.addServerCustomizers(new JettyServerCustomizer[] { () });
  }
  
  private boolean checkMethodNames(Collection<HttpMethodConstraintElement> paramCollection, String paramString) {
    for (HttpMethodConstraintElement httpMethodConstraintElement : paramCollection) {
      String str = httpMethodConstraintElement.getMethodName();
      if (str.equals(paramString))
        return false; 
    } 
    return true;
  }
}
